> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Report Device Access Code Constraints

> Enables you to report access code-related constraints for a device. Currently, supports reporting supported code length constraints for SmartThings devices.

Specify either `supported_code_lengths` or `min_code_length`/`max_code_length`.



## OpenAPI

````yaml /openapi.json post /access_codes/report_device_constraints
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /access_codes/report_device_constraints:
    post:
      tags:
        - /access_codes
      summary: Report Device Access Code Constraints
      description: >-
        Enables you to report access code-related constraints for a device.
        Currently, supports reporting supported code length constraints for
        SmartThings devices.


        Specify either `supported_code_lengths` or
        `min_code_length`/`max_code_length`.
      operationId: accessCodesReportDeviceConstraintsPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: ID of the device for which you want to report constraints.
                  format: uuid
                  type: string
                max_code_length:
                  description: >-
                    Maximum supported code length as an integer between 4 and
                    20, inclusive. You can specify either
                    `min_code_length`/`max_code_length` or
                    `supported_code_lengths`.
                  maximum: 20
                  minimum: 4
                  type: integer
                min_code_length:
                  description: >-
                    Minimum supported code length as an integer between 4 and
                    20, inclusive. You can specify either
                    `min_code_length`/`max_code_length` or
                    `supported_code_lengths`.
                  maximum: 20
                  minimum: 4
                  type: integer
                supported_code_lengths:
                  description: >-
                    Array of supported code lengths as integers between 4 and
                    20, inclusive. You can specify either
                    `supported_code_lengths` or
                    `min_code_length`/`max_code_length`.
                  items:
                    maximum: 20
                    minimum: 4
                    type: integer
                  minItems: 1
                  type: array
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.accessCodes.reportDeviceConstraints({
              device_id: "cd17e797-e952-47a1-ba47-46bf72934181",
              supported_code_lengths: [4, 5, 6],
              min_code_length: 42,
              max_code_length: 42,
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/access_codes/report_device_constraints"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "cd17e797-e952-47a1-ba47-46bf72934181",
              "supported_code_lengths": [
                4,
                5,
                6
              ],
              "min_code_length": 42,
              "max_code_length": 42
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.access_codes.report_device_constraints(
                device_id="cd17e797-e952-47a1-ba47-46bf72934181",
                supported_code_lengths=[4, 5, 6],
                min_code_length=42,
                max_code_length=42,
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.access_codes.report_device_constraints(
              device_id: "cd17e797-e952-47a1-ba47-46bf72934181",
              supported_code_lengths: [4, 5, 6],
              min_code_length: 42,
              max_code_length: 42,
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->access_codes->report_device_constraints(
                device_id: "cd17e797-e952-47a1-ba47-46bf72934181",
                supported_code_lengths: [4, 5, 6],
                min_code_length: 42,
                max_code_length: 42,
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam access-codes report-device-constraints --device_id
            "cd17e797-e952-47a1-ba47-46bf72934181" --supported_code_lengths
            [4,5,6] --min_code_length 42 --max_code_length 42


            # {}
components:
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````